Environment Support

Understand how the package integrates with the various development ecosystems.

Support Table

The below table contains the current tested and supported environments in which Notifee is compatible with:

EnvironmentSupportedNotes
React Nativev60.0+Untested on lower versions.
Android APIsAndroid 4.1+ (API 16)Backwards notification compatibility up to Android 4.1.
iOS Version10.0+
Hermes SupportYes
PackagersMetroUntested on non-standard packagers.

Additional Requirements

  • For iOS development, Xcode 12 is required
  • For Android, if you are compiling your app in release mode via the command line, please run ./gradlew :app:assembleRelease. If you run ./gradlew assembleRelease it will fail. We are working on a fix, please follow the issue on GitHub for updates.

Copyright 2020 - 2021 © Invertase Limited

Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 3.0 License and code samples are licensed under the Apache 2.0 License.

All product names, logos, and brands are property of their respective owners. All company, product and service names used in this website are for identification purposes only. Use of these names, logos, and brands does not imply endorsement.